Subject: Antique Jewelers Lathe

From: [email-masked] (John W Bottoms)
Date: Tue, 28 Feb 1995 23:28:55 GMT

In an auction flyer I noticed a jewelers lathe that is hand cranked,
an antique. Anyone familiar with this type lathe? Was it hard to turn
them? Any plans out there? It's kinda cute, bar stock for the bed,
probably in brass.